Bug 251935 - objcopy strips build-id NOTE
objcopy strips build-id NOTE
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: binutils (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-13 11:30 EDT by Jan Kratochvil
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-16 11:18:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Roland's fix from the upstream beta release binutils-2.17.50.0.18. (1.89 KB, patch)
2007-08-13 11:30 EDT, Jan Kratochvil
no flags Details | Diff

  None (edit)
Description Jan Kratochvil 2007-08-13 11:30:28 EDT
Description of problem:
binutils ELF file split to binary+.debug strips NT_GNU_BUILD_ID even in the
.debug file.  It has been fixed in upstream binutils-2.17.50.0.18.

Version-Release number of selected component (if applicable):
binutils-2.17.50.0.17-7.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Get a binary with symbols and NT_GNU_BUILD_ID.
2. objcopy --only-keep-debug x x.debug
3. readelf -a x.debug
  
Actual results:
Section Headers:
  [Nr] Name              Type             Address           Offset
  [ 3] .note.gnu.build-i NOBITS           000000000040023c  00000200
       0000000000000024  0000000000000000   A       0     0     4

Expected results:
Section Headers:
  [Nr] Name              Type             Address           Offset
  [ 3] .note.gnu.build-i NOTE             000000000040023c  00000220
       0000000000000024  0000000000000000   A       0     0     4

Additional info:
It may not affect much/any people as rpmbuild uses eu-strip.
I found it during a new GDB testcase development as GDB testsuite uses binutils.

I see it not much a problem if you do not find it worth the backport.
Comment 1 Jan Kratochvil 2007-08-13 11:30:28 EDT
Created attachment 161182 [details]
Roland's fix from the upstream beta release binutils-2.17.50.0.18.
Comment 2 Jakub Jelinek 2007-08-16 11:18:22 EDT
Rawhide has binutils-2.17.50.0.18-1.

Note You need to log in before you can comment on or make changes to this bug.